jQuery(document).ready(function ($) {
    function gravatar(email) {
        return 'http://www.gravatar.com/avatar/' + $.md5(email);
    }

    $('#user_email').blur(function () {
    	
    	var size = "80";
    	
        var email = $(this).val().toLowerCase();
        if (email.indexOf('@') == -1) { return; }
        var img = new Image();
        $(img)
            .load(function() {
                $('#ega_avatar').html("<img src='"+gravatar(email)+"?s="+size+"&d=404' />");
            })
             .error(function() {
                $('#ega_avatar').html("<img src=\"http://www.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=80\" alt=\"Default Gravatar\" />");
                $('#ega_get_avatar').removeClass('hidden').html('You don\'t have a Gravatar yet! Get one <a href="http://gravatar.com/site/signup/"+email+">here</a>.');
            })
             .attr('src',gravatar(email)+"?s="+size+"&d=404"); 
    });
});